%define upstream_name    CPAN-PackageDetails
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Create or read 02packages.details.txt.gz
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output) >= 0.100.0
BuildRequires: perl(version) >= 0.780.0
BuildArch:  noarch

%description
An entry is a single line from _02packages.details.txt_ that maps a package
name to a source. It's a whitespace-separated list that has the values for
the column identified in the "columns" field in the header.

By default, there are three columns: package name, version, and path.

Inside a CPAN::PackageDetails object, the actual work and manipulation of
the entries are handled by delegate classes specified in 'entries_class'
and 'entry_class'). At the moment these are immutable, so you'd have to
subclass this module to change them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.260.0-5.mga6
+ Revision: 1024486
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.260.0-4.mga6
+ Revision: 940978
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-3.mga5
+ Revision: 742499
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.260.0-1.mga5
+ Revision: 581029
- update to 0.26

* Fri Oct 18 2013 umeabot <umeabot> 0.250.0-3.mga4
+ Revision: 509530
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 363625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 20 2011 shlomif <shlomif> 0.250.0-1.mga2
+ Revision: 184796
- imported package perl-CPAN-PackageDetails


* Tue Dec 20 2011 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
